package com.ruoyi.web.work.service.impl;


import java.util.List;

import com.ruoyi.web.work.domain.*;
import com.ruoyi.web.work.domain.dto.PatientCardDto;
import com.ruoyi.web.work.mapper.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.web.work.service.IVisitService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @author lsw
 * @date 2024-07-23
 */
@Service
public class VisitServiceImpl extends ServiceImpl<VisitMapper, Visit> implements IVisitService {
    @Autowired
    private VisitMapper visitMapper;


    @Override
    public List<Visit> selectList(Visit visit) {
        return visitMapper.selectList(visit);
    }

    @Override
    public List<PatientCardDto> getPatientCardByNameOrDepartmentOrPhysician(String patientName, String departmentName, String physician) {
        return visitMapper.getPatientCardByNameOrDepartmentOrPhysician(patientName, departmentName, physician);
    }


    @Override
    public List<PatientCardDto> getAllDepartment() {
        return visitMapper.getAllDepartment();
    }

    @Override
    public List<Visit> getMedicalRecord(String beginTime, String endTime, Long patientId) {
        return visitMapper.getMedicalRecord(beginTime, endTime, patientId);
    }


}
